WoMax Documentation

# O_MIDI_mono Class Reference
[Data Sequence structure]

State of a monophonic MIDI sequence. More...

`#include <Oracle_label.hpp>`

Inheritance diagram for O_MIDI_mono:
[legend]
Collaboration diagram for O_MIDI_mono:
[legend]

List of all members.

## Public Member Functions
Constructors & Destructors
| O_MIDI_mono ()
| Default constructor.
| O_MIDI_mono (int, int=0, int=0, int=0, int=0, int=0, int=0)
| Create a monophonic MIDI state from data.
| O_MIDI_mono (const O_MIDI_mono &)
| Copy constructor.
| ~O_MIDI_mono ()
| Standard destructor.
Set & Get
int | get_pitch ()
| Return the pitch of the state.
void | set_pitch (int)
| Set the pitch of the state.
int | get_velocity ()
| Return the velocity of the state.
void | set_velocity (int)
| Set the velocity of the state.
## Operators Overload
bool | operator== (const O_MIDI_mono &) const
| Compare two states based on pitch.
ostream & | operator<< (ostream &, const O_MIDI_mono &)
| Output data on a standard stream.

## Detailed Description

State of a monophonic MIDI sequence.

Definition at line 108 of file Oracle_label.hpp.

## Constructor & Destructor Documentation

O_MIDI_mono::O_MIDI_mono | ( |  | ) |

Default constructor.

Pitch is set to 60, velocity to 0 and channel to 128

Remarks:
  Calls the O_label default constructor

Definition at line 135 of file Oracle_label.cpp.

O_MIDI_mono::O_MIDI_mono | ( | int | pitchin,
|  | int | velocityin = `0`,
|  | int | statenbin = `0`,
|  | int | bufferefin = `0`,
|  | int | durationin = `0`,
|  | int | phrasein = `0`,
|  | int | sectionin = `0` |
| ) |  |  |

Create a monophonic MIDI state from data.

Pitch is set to pitchin. If given, velocity is set to veloictyin.

Remarks:
  All the following arguments are passed to the O_label constructor.

Definition at line 144 of file Oracle_label.cpp.

## Member Function Documentation

bool O_MIDI_mono::operator== | ( | const O_MIDI_mono & | other | ) | const

Compare two states based on pitch.

Returns:
  The comparison between pitches modulo 12

Definition at line 178 of file Oracle_label.cpp.

The documentation for this class was generated from the following files:

- Oracle_label.hpp
- Oracle_label.cpp